Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

MX 17 Repository: The Kodi Thread

Message
Author
User avatar
stsoh
Forum Regular
Forum Regular
Posts: 393
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The Kodi Thread

#11 Post by stsoh » Sat Nov 18, 2017 3:47 am

thanks for the tip, manage to install kodi 17.5. now i can stream n play videos.
it prompt kodi 17.6 stable is available, any tips how to install 17.6 version?

Code: Select all

$ apt policy kodi
kodi:
  Installed: 5:17.5-dmo1+deb9u1
  Candidate: 5:17.5-dmo1+deb9u1
  Version table:
 *** 5:17.5-dmo1+deb9u1 500
        500 http://www.deb-multimedia.org stretch/main amd64 Packages
        500 http://www.deb-multimedia.org stretch/main i386 Packages
        100 /var/lib/dpkg/status
     2:17.3+dfsg1-1mx17+1 500
        500 http://iso.mxrepo.com/mx/repo stretch/main amd64 Packages
     2:17.1+dfsg1-3 500
        500 http://ftp.hk.debian.org/debian stretch/main amd64 Packages
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 393
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The Kodi Thread

#12 Post by stsoh » Sat Nov 18, 2017 8:46 am

so far, only up to kodi v17.5 on debian even there is a v17.6 deb on the main source. downloaded v17.6 deb n run gdebi package installer, couldn't get it to install. any ideas how to install kodi v17.6?

Code: Select all

deb http://www.deb-multimedia.org stretch main non-free
deb ftp://ftp.deb-multimedia.org stretch main non-free
deb http://www.deb-multimedia.org stable main non-free
deb ftp://ftp.deb-multimedia.org stable main non-free
deb-src http://www.deb-multimedia.org sid main
deb-src ftp://ftp.deb-multimedia.org sid main

Code: Select all

apt policy kodi ffmpeg
kodi:
  Installed: 5:17.5-dmo1+deb9u1
  Candidate: 5:17.5-dmo1+deb9u1
  Version table:
 *** 5:17.5-dmo1+deb9u1 500
        500 http://www.deb-multimedia.org stretch/main amd64 Packages
        500 http://www.deb-multimedia.org stretch/main i386 Packages
        500 ftp://ftp.deb-multimedia.org stretch/main amd64 Packages
        500 ftp://ftp.deb-multimedia.org stretch/main i386 Packages
        500 http://www.deb-multimedia.org stable/main amd64 Packages
        500 http://www.deb-multimedia.org stable/main i386 Packages
        500 ftp://ftp.deb-multimedia.org stable/main amd64 Packages
        500 ftp://ftp.deb-multimedia.org stable/main i386 Packages
        100 /var/lib/dpkg/status
     2:17.3+dfsg1-1mx17+1 500
        500 http://iso.mxrepo.com/mx/repo stretch/main amd64 Packages
     2:17.1+dfsg1-3 500
        500 http://ftp.hk.debian.org/debian stretch/main amd64 Packages
ffmpeg:
  Installed: 10:3.3.5-dmo1+deb9u1
  Candidate: 10:3.3.5-dmo1+deb9u1
  Version table:
 *** 10:3.3.5-dmo1+deb9u1 500
        500 http://www.deb-multimedia.org stretch/main amd64 Packages
        500 ftp://ftp.deb-multimedia.org stretch/main amd64 Packages
        500 http://www.deb-multimedia.org stable/main amd64 Packages
        500 ftp://ftp.deb-multimedia.org stable/main amd64 Packages
        100 /var/lib/dpkg/status
     7:3.3.4-1mx17+1 500
        500 http://iso.mxrepo.com/mx/repo stretch/main amd64 Packages
     7:3.2.8-1~deb9u1 500
        500 http://security.debian.org stretch/updates/main amd64 Packages
     7:3.2.7-1~deb9u1 500
        500 http://ftp.hk.debian.org/debian stretch/main amd64 Packages
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 393
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The Kodi Thread

#13 Post by stsoh » Sat Nov 18, 2017 12:52 pm

try to install kodi v17.6, didn't work.

Code: Select all

Install Howto

    Add the following line to /etc/apt/sources.list:

    deb http://www.deb-multimedia.org sid main

    Update the package index:

    # sudo apt-get update

    Install GPG key of the repository:

    # sudo apt-get install deb-multimedia-keyring

    Install kodi deb package:

    # sudo apt-get install kodi

i guess need to remove kodi v17.5 first, also install kodi-bin/data.

Code: Select all

The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kodi : Depends: kodi-bin (>= 5:17.6-dmo1) but 5:17.5-dmo1+deb9u1 is to be installed
        Depends: kodi-data (>= 5:17.6-dmo1) but 5:17.5-dmo1+deb9u1 is to be installed
E: Unable to correct problems, you have held broken packages.
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16286
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The Kodi Thread

#14 Post by Stevo » Sat Nov 18, 2017 3:21 pm

17.6 just came out a day or so ago. Maybe the deb-multimedia maintainer just hasn't built it for Stretch yet, or you could ask him to do it for Stretch or his stretch-backports section on the dmo mailing list. He's been really helpful in the past.

Adding a Sid repo to MX is often asking for trouble...but you may also have to try adding "-t sid" to the install command. or use aptitude's or apt's better dependency resolution: example to force install of an older kodi on MX 16

Code: Select all

apt-cache policy kodi

kodi:
  Installed: 2:17.3+dfsg1-1mx15+1
  Candidate: 2:17.3+dfsg1-1mx15+1
  Version table:
 *** 2:17.3+dfsg1-1mx15+1 0
        500 http://iso.mxrepo.com/mx/testrepo/ mx15/test amd64 Packages
        100 /var/lib/dpkg/status
     16.1+dfsg1-1mx150+2 0
        500 http://iso.mxrepo.com/mx/repo/ mx15/main amd64 Packages

sudo aptitude install kodi=16.1+dfsg1-1mx150+2
And read the output very carefully. If it's not what you want, hit "n" and aptitude will try another solution. Repeat until you get a good solution or aptitude gives up.

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 393
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The Kodi Thread

#15 Post by stsoh » Sat Nov 18, 2017 3:46 pm

i remove kodi v17.5 and did installation from mx-package installer which i had problem b4, it's now able to play video.
different is the ffmpeg versions, seem to have corrected the fault.
thanks, u have been helpful.

Code: Select all

apt policy kodi ffmpeg
kodi:
  Installed: 2:17.3+dfsg1-1mx17+1
  Candidate: 2:17.3+dfsg1-1mx17+1
  Version table:
 *** 2:17.3+dfsg1-1mx17+1 500
        500 http://iso.mxrepo.com/mx/repo stretch/main amd64 Packages
        100 /var/lib/dpkg/status
     2:17.1+dfsg1-3 500
        500 http://ftp.hk.debian.org/debian stretch/main amd64 Packages
ffmpeg:
  Installed: 10:3.3.5-dmo1+deb9u1
  Candidate: 10:3.3.5-dmo1+deb9u1
  Version table:
 *** 10:3.3.5-dmo1+deb9u1 100
        100 /var/lib/dpkg/status
     7:3.3.4-1mx17+1 500
        500 http://iso.mxrepo.com/mx/repo stretch/main amd64 Packages
     7:3.2.8-1~deb9u1 500
        500 http://security.debian.org stretch/updates/main amd64 Packages
     7:3.2.7-1~deb9u1 500
        500 http://ftp.hk.debian.org/debian stretch/main amd64 Packages
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16286
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The Kodi Thread

#16 Post by Stevo » Sat Nov 18, 2017 6:05 pm

OK, but remember, this is only a beta of MX 17, and not intended for continued production use. Using a ffmpeg from deb-multimedia has been noted to break other multimedia packages in the past.

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 393
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The Kodi Thread

#17 Post by stsoh » Sun Nov 19, 2017 8:49 am

alrite, thanks for the warning.
i found a conflict driver......couldn't find xbmc driver, as it is depends on kodi bin/data.
install some vdpau found on synaptic.

Code: Select all

$ apt-cache show kodi
Package: kodi
Source: kodi-dmo
Version: 5:17.5-dmo1+deb9u1
Installed-Size: 171
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Architecture: all
Replaces: xbmc (<< 5:14.1)
Depends: kodi-bin (>= 5:17.5-dmo1+deb9u1), kodi-data (>= 5:17.5-dmo1+deb9u1)
Suggests: vdpau-va-driver
Conflicts: xbmc (<< 5:14.1)
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 393
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The Kodi Thread

#18 Post by stsoh » Mon Nov 20, 2017 9:59 am

after installed 17b2, the same problem occurred, kodi unable to play video.
load source list:

Code: Select all

deb http://www.deb-multimedia.org stretch main non-free
deb ftp://ftp.deb-multimedia.org stretch main non-free
apt-get update, upgrade to kodi 17.5, fix broken installation then able to play video on kodi.
Last edited by stsoh on Thu Nov 23, 2017 8:56 am, edited 2 times in total.
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

User avatar
DonaldS
Forum Novice
Forum  Novice
Posts: 2
Joined: Mon Nov 13, 2017 1:29 pm

Re: MX 17 Repository: The Kodi Thread

#19 Post by DonaldS » Thu Nov 23, 2017 8:33 am

Hi All, I searched about Kodi and got into this thread. I am sorry If I'll be asking a question not related to the thread. But I need the solution.
I have got Kodi Krypton V17 preinstalled in my Kodi box. I am trying to update to 17.5 but I can't. Stuck in some Dependency Error. Please suggest me with a proper fix.

Thanks

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 393
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The Kodi Thread

#20 Post by stsoh » Thu Nov 23, 2017 8:51 am

i got kodi v17.0 on km8 pro tv box, can't update to kodi v17.5 because it is locked.
as long as kodi can play, it is good. don't upgrade, sometime upgrade can broke your machine.
just like i upgrade from mx16.1 to mx17b1/2, kodi can't play any video but i found a solution n solve it.

ps;
your kodi is android n stuck at error. goto to setting n clear data.
it will reset to original w/o your vendor pre-setup.
google for kodi setting n u can get back some of video/radio/program settings.
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

Post Reply

Return to “Package Requests/Status - MX 17”